<?php
/**
 * The example below shows how to RECORD any manual tests that you perform, so that you can PLAYBACK
 * the same tests automatically later using the AutomateYourTests testing software.
 *
 * Simply include & instantiate the class shown in the example below on your TEST
 * server within your PHP application's bootstrap (or base controller or any other place
 * where it can intercept HTTP requests). That script must, of course, have write access
 * to the directory of the 'myTestSuite.xml' that you specify:
 *
 * @example require_once('Controller/Recorder.php');
 *          new AutomateYourTests\Controller\Recorder('myTestSuite.xml');
 *
 * @link        http://automateyourtests.com
 * @version     1.2.2
 * @author      Marc Daniel Dammann <howto@automateyourtests.com>
 * @copyright   2016 Marc Daniel Dammann
 * @license     GPL-3.0 <https://opensource.org/licenses/GPL-3.0>
 *
 * Copyright 2016 Marc Daniel Dammann
 * This file is part of AutomateYourTests. AutomateYourTests is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version. AutomateYourTests is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with AutomateYourTests. If not, see http://www.gnu.org/licenses/.
 */

require_once('Controller/Recorder.php');
new AutomateYourTests\Controller\Recorder('myTestSuite.xml');
